#include "main.h"

int main(int argc, char *argv[]) {

    if(logconf_create() != 0) {
        return 6;
    }

    if(logprject_Init() != 0) {
        my_zlog_fatal( "日志初始化失败");
        //printf("日志初始化失败");
        return 5;
    }
    
    if (wiringPiSetup() == -1) {
        my_zlog_fatal("WiringPi setup failed!");
        //printf("WiringPi setup failed!\n");
        return 1;
    }

    if (!INA226_begin(sda_pin, scl_pin)) {
        my_zlog_fatal("INA226 初始化失败！");
        //printf("INA226 初始化失败！\n");
        return 2;
    }

    if(Device_File_Init()!=0) {
        my_zlog_fatal("This is a fatal message");
        //printf("设备文件读取初始化失败！\n");
        return 3;
    }
    
    if(request_date() != 0) {
        my_zlog_fatal("This is a fatal message");
        //printf("拉取接口初始化失败\n");
        return 4;
    }


    my_zlog_info("程序初始化成功");
    //printf("程序初始化成功\n");
    
    system("pkill  chromium");
    // 配置 INA226

    INA226_configure(sda_pin, scl_pin);
    // 校准 INA226
    float rShuntValue = 0.1; // 分流电阻值（单位：欧姆）
    float iMaxExpected = 5; // 最大预期电流（单位：安培）
    INA226_calibrate(sda_pin, scl_pin, rShuntValue, iMaxExpected);

    gStart=time(NULL);//开始时间戳

    ipaddr();//获取ip

    thread_start(AppExit,Mqttbeat,opensh,Mqtt_onnect);//开启线程

    thread_end(); //关闭线程

    my_zlog_info("程序关闭成功");

    my_log_close();//关闭日志
   
    //printf("程序关闭成功\n");
    return EXIT_SUCCESS;
}